### Method

# AppStream Pool add_extra_data_location

#### Declaration [src]

    void
    as_pool_add_extra_data_location (
      AsPool* pool,
      const gchar* directory,
      AsFormatStyle format_style
    )

#### Description [src]

Add an additional non-standard location to the metadata pool where metadata will be read from. If `directory` contains a “xml”, “xmls”, “yaml” or “icons” subdirectory (or all of them), those paths will be added to the search paths instead.

#### Parameters

`directory`

  Type: `const gchar*`

  An existing filesystem location.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`format_style`

  Type: `AsFormatStyle`

  The expected format style of the metadata, e.g. `AS_FORMAT_STYLE_CATALOG`.